# $Revision: 1.15 $, $Date: 2011/08/24 12:33:17 $

%define		kde4ver	4.6.0
%define		qtver	4.7.1
%define		orgname	bluedevil

Summary:	KDE Bluetooth framework
Summary(pl.UTF-8):	Podstawowe środowisko KDE Bluetooth
Name:		kde4-bluedevil
Version:	1.1.1
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/stable/bluedevil/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	b3764fb8ead502e2d410b0c0fc86ac6c
URL:		http://www.afiestas.org/
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel >= %{kde4ver}
BuildRequires:	libbluedevil-devel >= 1.8.1
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	shared-mime-info
Requires:	bluez
Requires:	obex-data-server
Obsoletes:	kde4-kdebluetooth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BlueDevil is a set of components, which integrates bluetooth within
the KDE SC, for example adding a system preference module (KCM), or
allowing to browse the files in a cell phone from you favorite file
browser.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

# remove unsupported locales
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{sr@ijekavian,sr@ijekavianlatin}

%find_lang %{orgname}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bluedevil-audio
%attr(755,root,root) %{_libdir}/kde4/libexec/bluedevil-authorize
%attr(755,root,root) %{_libdir}/kde4/libexec/bluedevil-confirmmodechange
%attr(755,root,root) %{_bindir}/bluedevil-helper
%attr(755,root,root) %{_bindir}/bluedevil-input
%attr(755,root,root) %{_bindir}/bluedevil-monolithic
%attr(755,root,root) %{_libdir}/kde4/libexec/bluedevil-requestconfirmation
%attr(755,root,root) %{_libdir}/kde4/libexec/bluedevil-requestpin
%attr(755,root,root) %{_bindir}/bluedevil-sendfile
%attr(755,root,root) %{_bindir}/bluedevil-wizard
%{_datadir}/apps/bluedevil
%{_datadir}/apps/bluedevilwizard
%{_datadir}/mime/packages/bluedevil-mime.xml
%{_datadir}/kde4/servicetypes/actionplugin.desktop
%{_datadir}/kde4/services/bluedevil-input.desktop
%{_datadir}/kde4/services/bluedevil-audio.desktop
%{_datadir}/kde4/services/sendfile.desktop
%{_datadir}/kde4/services/bluedevildevices.desktop
%{_datadir}/kde4/services/bluedeviladapters.desktop
%{_datadir}/kde4/services/bluedeviltransfer.desktop
%{_datadir}/kde4/services/bluetooth.protocol
%{_datadir}/kde4/services/obexftp.protocol
%{_datadir}/kde4/services/kded/bluedevil.desktop
%{_datadir}/kde4/services/kded/obexftpdaemon.desktop
%{_datadir}/kde4/services/bluedevilsendfile.desktop
%{_desktopdir}/kde4/bluedevil-audio.desktop
%{_desktopdir}/kde4/bluedevil-input.desktop
%{_desktopdir}/kde4/bluedevil-monolithic.desktop
%{_desktopdir}/kde4/bluedevil-sendfile.desktop
%{_desktopdir}/kde4/bluedevil-wizard.desktop
%{_datadir}/dbus-1/services/org.kde.BlueDevil.Service.service
%attr(755,root,root) %{_libdir}/libbluedevilaction.so
%attr(755,root,root) %{_libdir}/kde4/bluedevilaudioactionplugin.so
%attr(755,root,root) %{_libdir}/kde4/bluedevilinputactionplugin.so
%attr(755,root,root) %{_libdir}/kde4/bluedevilsendfileactionplugin.so
%attr(755,root,root) %{_libdir}/kde4/kcm_bluedeviladapters.so
%attr(755,root,root) %{_libdir}/kde4/kcm_bluedevildevices.so
%attr(755,root,root) %{_libdir}/kde4/kcm_bluedeviltransfer.so
%attr(755,root,root) %{_libdir}/kde4/kded_bluedevil.so
%attr(755,root,root) %{_libdir}/kde4/kded_obexftpdaemon.so
%attr(755,root,root) %{_libdir}/kde4/kio_bluetooth.so
%attr(755,root,root) %{_libdir}/kde4/kio_obexftp.so
%attr(755,root,root) %{_libdir}/kde4/bluetoothfiletiemaction.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-bluedevil.spec,v $
Revision 1.15  2011/08/24 12:33:17  august84
- remove unsupported locales: sr@ijekavian, sr@ijekavianlatin

Revision 1.14  2011/07/31 18:04:42  lmasko
- Up to 1.1.1.

Revision 1.13  2011/04/18 07:49:29  lmasko
- Up to 1.1.

Revision 1.12  2011/04/14 21:12:57  cactus
- up to 1.0.4

Revision 1.11  2011/03/28 20:45:05  cactus
- up to 1.0.3

Revision 1.10  2011/02/02 08:03:49  arekm
- up to 1.0.2

Revision 1.9  2011/01/19 15:48:10  shadzik
- define qtver when you use it!!!!
- adjusted to new macro

Revision 1.8  2011/01/17 22:07:32  charles
- rel. 1

Revision 1.7  2011/01/17 22:03:39  charles
- BR: gettex-devel
- rm TODO

Revision 1.6  2011/01/17 20:58:01  matkor
- Version 1.0.1-0.1. TODO added.

Revision 1.5  2010/11/12 20:10:17  arekm
obsolete kde4-kdebluetooth

Revision 1.4  2010/11/12 19:49:27  arekm
- up to 1.0; expand globs

Revision 1.3  2010/09/26 22:58:14  charles
- updated to rc4
- updated URL

Revision 1.2  2010/09/04 22:34:19  charles
- updated BRs and Rs; removed TODO

Revision 1.1  2010/09/04 20:26:36  lmasko
- Initial version, needs cleaning.

